import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class CircularLongPressButtonExample extends StatefulWidget {
  const CircularLongPressButtonExample({Key? key}) : super(key: key);

  @override
  _CircularLongPressButtonExampleState createState() =>
      _CircularLongPressButtonExampleState();
}

class _CircularLongPressButtonExampleState
    extends State<CircularLongPressButtonExample> {
  void showMesage() {
    ScaffoldMessenger.of(context).showSnackBar(
      SeniorSnackBar.success(
        message: 'Operação concluída',
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Circular Long Press Button',
      child: Center(
        child: SeniorCircularLongPressButton(
          icon: FontAwesomeIcons.fingerprint,
          duration: 3,
          label: 'Pressione por 3 segundos para ativar',
          onSubmit: showMesage,
        ),
      ),
    );
  }
}
