import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class SeniorGradientIconExample extends StatelessWidget {
  const SeniorGradientIconExample({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return const PageWrapper(
      title: 'Gradient Icon',
      child: Center(
        child: SeniorGradientIcon(
          icon: FontAwesomeIcons.house,
          sizeIcon: SeniorIconSize.medium,
        ),
      ),
    );
  }
}
