import 'package:flutter/material.dart';

import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class ProgressBarExample extends StatelessWidget {
  const ProgressBarExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return const PageWrapper(
      title: 'Progress Bar',
      child: Center(
        child: SeniorProgressBar(
          currentStep: 7,
          totalSteps: 8,
          showCurrentStep: true,
          title: 'Titulo',
          subtitle: 'Sub',
        ),
      ),
    );
  }
}
