import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_button.dart';

const primaryButtonDarkTheme = const SeniorButtonThemeData(
  style: SeniorButtonStyle(
    backgroundColor: SeniorColors.primaryColor600,
    disabledBackgroundColor: SeniorColors.primaryColor100,
    contentColor: SeniorColors.grayscale0,
    disabledContentColor: SeniorColors.primaryColor300,
    borderColor: SeniorColors.primaryColor300,
    disabledBorderColor: SeniorColors.primaryColor800,
    loaderColor: SeniorColors.primaryColor500,
    dangerBackgroundColor: SeniorColors.manchesterColorRed500,
    dangerDisabledBackgroundColor: SeniorColors.manchesterColorRed300,
    dangerContentColor: SeniorColors.grayscale0,
    dangerDisabledContentColor: SeniorColors.manchesterColorRed100,
    dangerBorderColor: SeniorColors.manchesterColorRed500,
    dangerDisabledBorderColor: SeniorColors.manchesterColorRed300,
    dangerLoaderColor: SeniorColors.manchesterColorRed500,
    outlinedContentColor: SeniorColors.primaryColor300,
    dangerOutlinedContentColor: SeniorColors.manchesterColorRed500,
    dangerOutlinedDisabledContentColor: SeniorColors.manchesterColorRed300,
    outlinedDisabledContentColor: SeniorColors.primaryColor800,
  ),
);
