import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../../components.dart';

const calendarLightTheme = const SeniorCalendarThemeData(
  style: SeniorCalendarStyle(
    activeHeaderButtonIconColor: SeniorColors.neutralColor900,
    backgroundColor: SeniorColors.pureWhite,
    dayColor: SeniorColors.neutralColor800,
    bottomTextColor: SeniorColors.neutralColor900,
    headerButtonBorderColor: SeniorColors.neutralColor400,
    headerTextColor: SeniorColors.neutralColor900,
    inactiveHeaderButtonIconColor: SeniorColors.neutralColor400,
    nextMonthDaysBackgroundColor: SeniorColors.neutralColor100,
    nextMonthDaysColor: SeniorColors.neutralColor500,
    previousMonthDaysBackgroundColor: SeniorColors.neutralColor100,
    previousMonthDaysColor: SeniorColors.neutralColor500,
    selectedDayBackgroundColor: SeniorColors.primaryColor100,
    selectedDayColor: SeniorColors.neutralColor800,
    todayBackgroundColor: SeniorColors.neutralColor200,
    todayColor: SeniorColors.neutralColor800,
    topLineColor: SeniorColors.neutralColor300,
    topTextColor: SeniorColors.neutralColor700,
    weekDaysColor: SeniorColors.neutralColor700,
    colorCircleDefaultMarkedDay: SeniorColors.manchesterColorGreen500,
    colorSquareDefaultMarkedDay: SeniorColors.manchesterColorRed500,
    colorTriangleDefaultMarkedDay: SeniorColors.manchesterColorYellow500,
    colorTriangleDownDefaultMarkedDay: SeniorColors.manchesterColorBlue500,
    colorGestureBottom: SeniorColors.neutralColor200,
    colorRangeHighlightBackground: SeniorColors.neutralColor100,
    colorDaysRangeHighlight: SeniorColors.neutralColor500,
  ),
);
