import 'package:flutter/material.dart';

class SeniorCardStyle {
  /// Style definitions for the SeniorCard component.
  const SeniorCardStyle({
    this.backgroundColor,
    this.backgroundColorIfElevated,
    this.disabledBackgroundColor,
    this.iconColor,
    this.outlinedColor,
    this.quotesColor,
  });

  /// Defines the card's background color.
  final Color? backgroundColor;

  /// Defines the card's background color when it's disabled and elevated.
  final Color? backgroundColorIfElevated;

  //// Defines the card's background color when it's disabled.
  final Color? disabledBackgroundColor;

  /// Defines the color of the card's icon.
  final Color? iconColor;

  /// Defines the color of the card border.
  final Color? outlinedColor;

  /// Defines the color of quotes characters.
  final Color? quotesColor;
}
