import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_colorful_header_structure.dart';

const colorfulHeaderStructureLightTheme = const SeniorColorfulHeaderStructureThemeData(
  style: SeniorColorfulHeaderStructureStyle(
    bodyColor: SeniorColors.pureWhite,
    headerColors: SeniorColors.primaryGradientColors,
    successMessageBackgroundColor: SeniorColors.manchesterColorGreen100,
    successMessageIconColor: SeniorColors.manchesterColorGreen400,
    infoMessageBackgroundColor: SeniorColors.manchesterColorBlue100,
    infoMessageIconColor: SeniorColors.manchesterColorBlue500,
    warningMessageBackgroundColor: SeniorColors.manchesterColorYellow100,
    warningMessageIconColor: SeniorColors.manchesterColorOrange500,
    errorMessageBackgroundColor: SeniorColors.manchesterColorRed100,
    errorMessageIconColor: SeniorColors.manchesterColorRed500,
    messageTextColor: SeniorColors.grayscale90,
    messageIconColor: SeniorColors.grayscale90,
  ),
);
