import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_drawer.dart';

const drawerDarkTheme = const SeniorDrawerThemeData(
  style: SeniorDrawerStyle(
    backIconColor: SeniorColors.grayscale10,
    backgroundColor: SeniorColors.pureBlack,
    boldItemColor: SeniorColors.grayscale10,
    emphasisItemColor: SeniorColors.primaryColor400,
    footerTextColor: SeniorColors.neutralColor500,
    lineColor: SeniorColors.secondaryColor200,
    neutralItemColor: SeniorColors.grayscale10,
    profileSubtitleColor: SeniorColors.grayscale40,
    profileTitleColor: SeniorColors.grayscale10,
  ),
);
