import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_dropdown_button.dart';

const dropdownButtonLightTheme = const SeniorDropdownButtonThemeData(
  style: SeniorDropdownButtonStyle(
    buttonColor: SeniorColors.neutralColor100,
    disabledButtonColor: SeniorColors.neutralColor100,
    disabledHelperColor: SeniorColors.neutralColor400,
    disabledDropIconColor: SeniorColors.neutralColor400,
    disabledIconColor: SeniorColors.neutralColor400,
    disabledLabelColor: SeniorColors.neutralColor400,
    disabledSelectedItemTextColor: SeniorColors.neutralColor400,
    disabledUnderlineColor: SeniorColors.neutralColor400,
    dropIconColor: SeniorColors.neutralColor900,
    errorColor: SeniorColors.manchesterColorRed,
    iconColor: SeniorColors.secondaryColor900,
    itemListTextColor: SeniorColors.neutralColor800,
    labelColorEmpty: SeniorColors.secondaryColor900,
    labelColorFilled: SeniorColors.primaryColor,
    helperColor: SeniorColors.neutralColor700,
    popupMenuColor: SeniorColors.neutralColor100,
    selectedItemTextColor: SeniorColors.neutralColor600,
    underlineColor: SeniorColors.secondaryColor500,
  ),
);
