import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_list.dart';

const listLightTheme = const SeniorListThemeData(
  style: SeniorListStyle(
    emphasisTitleColor: SeniorColors.primaryColor500,
    emphasisRightLabelColor: SeniorColors.primaryColor500,
    lineColor: SeniorColors.secondaryColor200,
    neutralTitleColor: SeniorColors.neutralColor800,
    neutralRightLabelColor: SeniorColors.neutralColor600,
    rightIconColor: SeniorColors.neutralColor800,
    subtitleColor: SeniorColors.neutralColor500,
  ),
);
