import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_text_field.dart';

const textFieldLightTheme = const SeniorTextFieldThemeData(
  style: SeniorTextFieldStyle(
    counterColor: SeniorColors.neutralColor700,
    disabledFillColor: SeniorColors.neutralColor100,
    errorColor: SeniorColors.manchesterColorRed500,
    errorHelperColor: SeniorColors.manchesterColorRed500,
    errorLabelColor: SeniorColors.manchesterColorRed600,
    fillColor: SeniorColors.neutralColor100,
    focusedBorderColor: SeniorColors.primaryColor,
    focusedLabelColor: SeniorColors.primaryColor500,
    helperColor: SeniorColors.neutralColor700,
    hintColor: SeniorColors.neutralColor400,
    iconColor: SeniorColors.neutralColor800,
    textColor: SeniorColors.neutralColor900,
    unfocusedBorderColor: SeniorColors.neutralColor400,
    unfocusedLabelColor: SeniorColors.neutralColor900,
  ),
);
