import 'package:flutter/material.dart';

import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class BalanceExample extends StatelessWidget {
  const BalanceExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Balance',
      child: Padding(
        padding: const EdgeInsets.all(16.0),
        child: SeniorBalance(
          labels: ['Receita', 'Despesa', 'Saldo'],
          values: ['145.743.187,57', '145.741.185,87', '2.001,70'],
          moneySign: 'R\$',
        ),
      ),
    );
  }
}
