import 'package:flutter/material.dart';

import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';

class SuccessAnimationExample extends StatelessWidget {
  const SuccessAnimationExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return const PageWrapper(
      title: 'Success Animation',
      child: SeniorSuccessAnimation(
        successAnimationPath: 'assets/animations/success_animation.riv',
        title: 'Operação no app',
        subTitle: 'Realizada com sucesso',
      ),
    );
  }
}
