import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_card.dart';

const cardLightTheme = const SeniorCardThemeData(
  style: SeniorCardStyle(
    backgroundColor: SeniorColors.neutralColor200,
    disabledBackgroundColor: SeniorColors.neutralColor200,
    backgroundColorIfElevated: SeniorColors.pureWhite,
    iconColor: SeniorColors.neutralColor800,
    outlinedColor: SeniorColors.neutralColor400,
    quotesColor: SeniorColors.neutralColor600,
  ),
);
