import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_carousel_slider.dart';

const carouselSliderDarkTheme = const SeniorCarouselSliderThemeData(
  style: SeniorCarouselSliderStyle(
    activeDotColor: SeniorColors.primaryColor600,
    backgroundImageColor: SeniorColors.grayscale50,
    deleteOptionBorderColor: SeniorColors.grayscale60,
    deleteOptionColor: SeniorColors.grayscale90,
    deleteOptionIconColor: SeniorColors.manchesterColorRed500,
    defaultDotColor: SeniorColors.secondaryColor200,
    emptyAreaColor: SeniorColors.grayscale80,
    emptyBorderColor: SeniorColors.grayscale50,
    emptyLabelColor: SeniorColors.grayscale0,
    pageInfoColor: SeniorColors.grayscale30,
    pictureBorderColor: SeniorColors.pureBlack,
    pictureShadowColor: SeniorColors.pureBlack,
  ),
);
