import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_colorful_header_structure.dart';

const colorfulHeaderStructureDarkTheme = const SeniorColorfulHeaderStructureThemeData(
  style: SeniorColorfulHeaderStructureStyle(
    bodyColor: SeniorColors.grayscale90,
    headerColors: [SeniorColors.grayscale100, SeniorColors.grayscale100],
    successMessageBackgroundColor: SeniorColors.manchesterColorGreen800,
    successMessageIconColor: SeniorColors.manchesterColorGreen400,
    infoMessageBackgroundColor: SeniorColors.manchesterColorBlue800,
    infoMessageIconColor: SeniorColors.manchesterColorBlue500,
    warningMessageBackgroundColor: SeniorColors.manchesterColorOrange800,
    warningMessageIconColor: SeniorColors.manchesterColorOrange500,
    errorMessageBackgroundColor: SeniorColors.manchesterColorRed800,
    errorMessageIconColor: SeniorColors.manchesterColorRed500,
    messageTextColor: SeniorColors.grayscale30,
    messageIconColor: SeniorColors.grayscale30,
  ),
);
