import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_drawer.dart';

const drawerLightTheme = const SeniorDrawerThemeData(
  style: SeniorDrawerStyle(
    backgroundColor: SeniorColors.pureWhite,
    backIconColor: SeniorColors.pureBlack,
    boldItemColor: SeniorColors.neutralColor700,
    emphasisItemColor: SeniorColors.primaryColor,
    footerTextColor: SeniorColors.neutralColor500,
    lineColor: SeniorColors.secondaryColor200,
    neutralItemColor: SeniorColors.neutralColor700,
    profileSubtitleColor: SeniorColors.neutralColor600,
    profileTitleColor: SeniorColors.neutralColor900,
  ),
);
