import 'package:flutter/material.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_icon_button.dart';

const secondaryIconButtonDarkTheme = const SeniorIconButtonThemeData(
  style: SeniorIconButtonStyle(
    borderColor: Colors.transparent,
    buttonColor: SeniorColors.secondaryColor600,
    disabledBorderColor: Colors.transparent,
    disabledButtonColor: SeniorColors.secondaryColor100,
    disabledIconColor: SeniorColors.secondaryColor400,
    iconColor: SeniorColors.pureWhite,
    outlinedColor: SeniorColors.secondaryColor300,
  ),
);
