import 'package:flutter/material.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_pin_code_field.dart';

const pinCodeFieldLightTheme = const SeniorPinCodeFieldThemeData(
  style: SeniorPinCodeFieldStyle(
    defaultBorderColor: SeniorColors.secondaryColor400,
    disabledDefaultBorderColor: SeniorColors.neutralColor300,
    disabledPinBoxColor: SeniorColors.neutralColor100,
    disabledPinTextColor: SeniorColors.neutralColor400,
    errorBorderColor: SeniorColors.manchesterColorRed500,
    highlightColor: SeniorColors.primaryColor500,
    pinBoxColor: Colors.transparent,
    pinTextColor: SeniorColors.neutralColor800,
  ),
);
