import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_radio_button.dart';

const radioButtonLightTheme = const SeniorRadioButtonThemeData(
  style: SeniorRadioButtonStyle(
    disabledCheckedFillColor: SeniorColors.secondaryColor300,
    disabledUncheckedFillColor: SeniorColors.secondaryColor300,
    disabledTitleColor: SeniorColors.secondaryColor300,
    checkedFillColor: SeniorColors.primaryColor600,
    uncheckedFillColor: SeniorColors.primaryColor600,
    titleColor: SeniorColors.neutralColor900,
  ),
);
