import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_signature.dart';

const signatureLightTheme = const SeniorSignatureThemeData(
  style: SeniorSignatureStyle(
    backgroundColor: SeniorColors.pureWhite,
    clearButtonIconColor: SeniorColors.manchesterColorRed,
    disabledClearButtonIconColor: SeniorColors.manchesterColorRed200,
    disabledSaveButtonIconColor: SeniorColors.primaryColor100,
    emptySignatureTextColor: SeniorColors.secondaryColor,
    saveButtonIconColor: SeniorColors.primaryColor,
    signatureBackgrounColor: SeniorColors.pureWhite,
    signatureDottedBorderColor: SeniorColors.secondaryColor500,
  ),
);
