import 'package:flutter/material.dart';

import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_square_buttons_menu.dart';

final ghostSquareButtonsMenuLightTheme = SeniorSquareButtonsMenuThemeData(
  style: SeniorSquareButtonsMenuStyle(
    backgroundColor: Colors.transparent,
    borderColor: SeniorColors.secondaryColor,
    fontColor: SeniorColors.secondaryColor,
    iconColor: SeniorColors.secondaryColor,
    disabledBackgroundColor: Colors.transparent,
    disabledBorderColor: SeniorColors.secondaryColor.withOpacity(0.5),
    disabledFontColor: SeniorColors.secondaryColor,
    disabledIconColor: SeniorColors.secondaryColor,
  ),
);
