import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_text_field.dart';

const textFieldDarkTheme = const SeniorTextFieldThemeData(
  style: SeniorTextFieldStyle(
    counterColor: SeniorColors.grayscale30,
    disabledFillColor: SeniorColors.grayscale50,
    errorColor: SeniorColors.manchesterColorRed500,
    errorLabelColor: SeniorColors.manchesterColorRed200,
    errorHelperColor: SeniorColors.manchesterColorRed200,
    fillColor: SeniorColors.grayscale70,
    focusedBorderColor: SeniorColors.primaryColor500,
    focusedLabelColor: SeniorColors.primaryColor200,
    helperColor: SeniorColors.grayscale30,
    hintColor: SeniorColors.grayscale40,
    iconColor: SeniorColors.grayscale30,
    textColor: SeniorColors.grayscale0,
    unfocusedBorderColor: SeniorColors.grayscale0,
    unfocusedLabelColor: SeniorColors.secondaryColor500,
  ),
);
