import 'package:senior_design_tokens/senior_design_tokens.dart';

import '../../senior_timeline.dart';

const timelineLightTheme = const SeniorTimelineThemeData(
  gutterSpacing: SeniorSpacing.small,
  indicatorSize: 32.0,
  itemGap: SeniorSpacing.xbig,
  lineGap: SeniorSpacing.xsmall,
  strokeWidth: 2.0,
  style: const SeniorTimelineStyle(
    expandIconColor: SeniorColors.neutralColor800,
  ),
);
